{% extends "easy_pdf/base.html" %}


{% block extra_style %}
    <style type="text/css">
        @page {
            size: letter landscape;
            margin: 1cm;
        }

    </style>
{% endblock %}

{% block content %}

    {% if context %}
        <div style="padding-top: 1em;">
            <div align="center" style="border: dashed;line-height: 20px">
                <span style="font-size: 2em;font-stretch: semi-expanded;font-weight: bold">{{ context.title_text }}</span><br>
                <span style="font-size: 1.3em;"><strong>DURATION</strong> : {{ context.current_start_date|date:"d-m-Y" }} to {{ context.current_end_date|date:"d-m-Y" }}</span><br>
                <span style="font-size: 1.3em;"><strong>CLASS</strong> : {{ context.selected_batch_text }}</span><br>
            </div>
        </div>
        <table border="1" style="border-width: thin;padding-top: 30%">
            <thead>
            <tr>
                <th rowspan="2" style="width: 5%">S.No.</th>
                <th rowspan="2" style="width: 7%">Roll Number</th>
                <th rowspan="2" style="width: 12%">Name</th>
                {% for entry in context.overall_result.courses_and_faculty_list %}
                    <th colspan="4">{{ entry.course_obj.course_id }}<br>{{ entry.course_obj.course_name }}
                        {% for each in entry.faculty_obj %}
                            <br>{{ each }}
                        {% endfor %}
                    </th>
                {% endfor %}
            </tr>
            <tr>
                {% for entry in context.overall_result.courses_and_faculty_list %}
                    <th style="width: {{ context.rest_width }}%">T</th>
                    <th style="width: {{ context.rest_width }}%">P</th>
                    <th style="width: {{ context.rest_width }}%">A</th>
                    <th style="width: {{ context.percentage_width }}%">%</th>
                {% endfor %}
            </tr>
            </thead>
            <tbody>

            {% for entry in context.overall_result.student_list %}
                <tr>
                    <td align="center">{{ forloop.counter }}</td>
                    <td align="center">{{ entry.roll_no }}</td>
                    <td style="padding-left: 5px">{{ entry.name }}</td>
                    {% for entry in entry.list %}
                        <td align="center">{{ entry }}</td>
                    {% endfor %}
                </tr>
            {% endfor %}
            </tbody>

        </table>
    {% endif %}
    <br>
    <br>
    <br>
    <br>
    <br>
    <table>
        <tr>
            <div style="width: 25%">
                <td align="left" style="font-stretch: expanded;font-size: large"><strong>Signature of Faculty</strong>
                </td>
            </div>
            <div style="width: 25%">
                <td align="left" style="font-stretch: expanded;font-size: large"><strong>Signature of Faculty
                    Advisor</strong>
                </td>
            </div>
            <div style="width: 25%">
                <td align="right" style="font-stretch: expanded;font-size: large"><strong>Signature of Programmme
                    co-ordinator</strong>
                </td>
            </div>
            <div style="width: 25%">
                <td align="right" style="font-stretch: expanded;font-size: large"><strong>Signature of HOD</strong>
                </td>
            </div>
        </tr>
    </table>
{% endblock %}